com.sun.mirror.declaration

## Interface EnumConstantDeclaration

- All Superinterfaces:
    Declaration, FieldDeclaration, MemberDeclaration

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is included in `VariableElement`.

      @Deprecated
      public interface EnumConstantDeclaration
      extends FieldDeclaration

  Represents an enum constant declaration.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumDeclaration` | `getDeclaringType()` Deprecated. Returns the type declaration within which this member or constructor is declared.

    - ### Methods inherited from interface com.sun.mirror.declaration.FieldDeclaration

      `getConstantExpression, getConstantValue, getType`

    - ### Methods inherited from interface com.sun.mirror.declaration.Declaration

      `accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

- - ### Method Detail

    - #### getDeclaringType

          EnumDeclaration getDeclaringType()

      Deprecated.
      Returns the type declaration within which this member or constructor is declared. If this is the declaration of a top-level type (a non-nested class or interface), returns null.
      Specified by:
        `getDeclaringType` in interface `MemberDeclaration`
      Returns:
        the type declaration within which this member or constructor is declared, or null if there is none

Copyright © 2004, 2015, Oracle and/or its affiliates. All rights reserved.